Loading...
Searching...
No Matches
doc_extension_sbmlextensionexception Class Reference

## Detailed Description

  Certain situations can result in an exception being thrown by libSBML package extensions. A prominent example involves the constructor for SBMLNamespaces (and its subclasses), which will throw SBMLExtensionException if the arguments it is given refer to an unknown SBML Level 3 package. The situation can arise for legitimate SBML files if the necessary package extension has not been registered with a given copy of libSBML.